### Class

# Cogl IndexBuffer

#### Description [src]

    final class Cogl.IndexBuffer : Cogl.Buffer
    {
      /* No available fields */
    }

Functions for creating and manipulating vertex indices.

#### Ancestors

- CoglBuffer
- GObject

#### Constructors

###### cogl_index_buffer_new

Declares a new `CoglIndexBuffer` of `size` bytes to contain vertex indices. Once declared, data can be set using `cogl_buffer_set_data()` or by mapping it into the application’s address space using cogl_buffer_map().

#### Instance methods

##### Methods inherited from CoglBuffer (7)

###### cogl_buffer_get_size

Retrieves the size of buffer.

###### cogl_buffer_get_update_hint

Retrieves the update hints set using `cogl_buffer_set_update_hint()`.

###### cogl_buffer_map

Maps the buffer into the application address space for direct access. This is equivalent to calling `cogl_buffer_map_range()` with zero as the offset and the size of the entire buffer as the size.

###### cogl_buffer_map_range

Maps a sub-region of the buffer into the application’s address space for direct access.

###### cogl_buffer_set_data

Updates part of the buffer with new data from `data`. Where to put this new data is controlled by `offset` and `offset` + `data` should be less than the buffer size.

###### cogl_buffer_set_update_hint

Sets the update hint on a buffer. See `CoglBufferUpdateHint` for a description of the available hints.

###### cogl_buffer_unmap

Unmaps a buffer previously mapped by `cogl_buffer_map()`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from CoglBuffer (4)

###### Cogl.Buffer:context

No description available.

###### Cogl.Buffer:default-target

No description available.

###### Cogl.Buffer:size

No description available.

###### Cogl.Buffer:update-hint

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglIndexBufferClass {
      /* no available fields */
    }

No description available.